IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/35
Addresses2^93
/64 networks536,870,912
- Network
3c19:c25d:a000::/35- First address
3c19:c25d:a000::- Last address
3c19:c25d:bfff:ffff:ffff:ffff:ffff:ffff- Addresses
- 9,903,520,314,283,042,199,192,993,792 (2^93)
- /64 networks (LANs)
- 536,870,912
- Full form
3c19:c25d:a000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zones
a.d.5.2.c.9.1.c.3.ip6.arpab.d.5.2.c.9.1.c.3.ip6.arpa
/35 is not on a 4-bit boundary, so it takes 2 /36 zones.
Split into smaller subnets
3c19:c25d:a000::/35 makes 512 subnets of /44; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25d:a000::/44 | 3c19:c25d:a00f:ffff:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25d:a010::/44 | 3c19:c25d:a01f:ffff:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25d:a020::/44 | 3c19:c25d:a02f:ffff:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25d:a030::/44 | 3c19:c25d:a03f:ffff:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25d:a040::/44 | 3c19:c25d:a04f:ffff:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25d:a050::/44 | 3c19:c25d:a05f:ffff:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25d:a060::/44 | 3c19:c25d:a06f:ffff:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25d:a070::/44 | 3c19:c25d:a07f:ffff:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25d:a080::/44 | 3c19:c25d:a08f:ffff:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25d:a090::/44 | 3c19:c25d:a09f:ffff:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25d:a0a0::/44 | 3c19:c25d:a0af:ffff:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25d:a0b0::/44 | 3c19:c25d:a0bf:ffff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25d:a0c0::/44 | 3c19:c25d:a0cf:ffff:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25d:a0d0::/44 | 3c19:c25d:a0df:ffff:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25d:a0e0::/44 | 3c19:c25d:a0ef:ffff:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25d:a0f0::/44 | 3c19:c25d:a0ff:ffff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25d:a100::/44 | 3c19:c25d:a10f:ffff:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25d:a110::/44 | 3c19:c25d:a11f:ffff:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25d:a120::/44 | 3c19:c25d:a12f:ffff:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25d:a130::/44 | 3c19:c25d:a13f:ffff:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25d:a140::/44 | 3c19:c25d:a14f:ffff:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25d:a150::/44 | 3c19:c25d:a15f:ffff:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25d:a160::/44 | 3c19:c25d:a16f:ffff:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25d:a170::/44 | 3c19:c25d:a17f:ffff:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25d:a180::/44 | 3c19:c25d:a18f:ffff:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25d:a190::/44 | 3c19:c25d:a19f:ffff:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25d:a1a0::/44 | 3c19:c25d:a1af:ffff:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25d:a1b0::/44 | 3c19:c25d:a1bf:ffff:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25d:a1c0::/44 | 3c19:c25d:a1cf:ffff:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25d:a1d0::/44 | 3c19:c25d:a1df:ffff:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25d:a1e0::/44 | 3c19:c25d:a1ef:ffff:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25d:a1f0::/44 | 3c19:c25d:a1ff:ffff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25d:a200::/44 | 3c19:c25d:a20f:ffff:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25d:a210::/44 | 3c19:c25d:a21f:ffff:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25d:a220::/44 | 3c19:c25d:a22f:ffff:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25d:a230::/44 | 3c19:c25d:a23f:ffff:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25d:a240::/44 | 3c19:c25d:a24f:ffff:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25d:a250::/44 | 3c19:c25d:a25f:ffff:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25d:a260::/44 | 3c19:c25d:a26f:ffff:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25d:a270::/44 | 3c19:c25d:a27f:ffff:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25d:a280::/44 | 3c19:c25d:a28f:ffff:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25d:a290::/44 | 3c19:c25d:a29f:ffff:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25d:a2a0::/44 | 3c19:c25d:a2af:ffff:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25d:a2b0::/44 | 3c19:c25d:a2bf:ffff:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25d:a2c0::/44 | 3c19:c25d:a2cf:ffff:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25d:a2d0::/44 | 3c19:c25d:a2df:ffff:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25d:a2e0::/44 | 3c19:c25d:a2ef:ffff:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25d:a2f0::/44 | 3c19:c25d:a2ff:ffff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25d:a300::/44 | 3c19:c25d:a30f:ffff:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25d:a310::/44 | 3c19:c25d:a31f:ffff:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25d:a320::/44 | 3c19:c25d:a32f:ffff:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25d:a330::/44 | 3c19:c25d:a33f:ffff:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25d:a340::/44 | 3c19:c25d:a34f:ffff:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25d:a350::/44 | 3c19:c25d:a35f:ffff:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25d:a360::/44 | 3c19:c25d:a36f:ffff:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25d:a370::/44 | 3c19:c25d:a37f:ffff:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25d:a380::/44 | 3c19:c25d:a38f:ffff:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25d:a390::/44 | 3c19:c25d:a39f:ffff:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25d:a3a0::/44 | 3c19:c25d:a3af:ffff:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25d:a3b0::/44 | 3c19:c25d:a3bf:ffff:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25d:a3c0::/44 | 3c19:c25d:a3cf:ffff:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25d:a3d0::/44 | 3c19:c25d:a3df:ffff:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25d:a3e0::/44 | 3c19:c25d:a3ef:ffff:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25d:a3f0::/44 | 3c19:c25d:a3ff:ffff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25d:a400::/44 | 3c19:c25d:a40f:ffff:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25d:a410::/44 | 3c19:c25d:a41f:ffff:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25d:a420::/44 | 3c19:c25d:a42f:ffff:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25d:a430::/44 | 3c19:c25d:a43f:ffff:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25d:a440::/44 | 3c19:c25d:a44f:ffff:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25d:a450::/44 | 3c19:c25d:a45f:ffff:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25d:a460::/44 | 3c19:c25d:a46f:ffff:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25d:a470::/44 | 3c19:c25d:a47f:ffff:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25d:a480::/44 | 3c19:c25d:a48f:ffff:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25d:a490::/44 | 3c19:c25d:a49f:ffff:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25d:a4a0::/44 | 3c19:c25d:a4af:ffff:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25d:a4b0::/44 | 3c19:c25d:a4bf:ffff:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25d:a4c0::/44 | 3c19:c25d:a4cf:ffff:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25d:a4d0::/44 | 3c19:c25d:a4df:ffff:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25d:a4e0::/44 | 3c19:c25d:a4ef:ffff:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25d:a4f0::/44 | 3c19:c25d:a4ff:ffff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25d:a500::/44 | 3c19:c25d:a50f:ffff:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25d:a510::/44 | 3c19:c25d:a51f:ffff:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25d:a520::/44 | 3c19:c25d:a52f:ffff:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25d:a530::/44 | 3c19:c25d:a53f:ffff:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25d:a540::/44 | 3c19:c25d:a54f:ffff:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25d:a550::/44 | 3c19:c25d:a55f:ffff:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25d:a560::/44 | 3c19:c25d:a56f:ffff:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25d:a570::/44 | 3c19:c25d:a57f:ffff:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25d:a580::/44 | 3c19:c25d:a58f:ffff:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25d:a590::/44 | 3c19:c25d:a59f:ffff:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25d:a5a0::/44 | 3c19:c25d:a5af:ffff:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25d:a5b0::/44 | 3c19:c25d:a5bf:ffff:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25d:a5c0::/44 | 3c19:c25d:a5cf:ffff:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25d:a5d0::/44 | 3c19:c25d:a5df:ffff:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25d:a5e0::/44 | 3c19:c25d:a5ef:ffff:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25d:a5f0::/44 | 3c19:c25d:a5ff:ffff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25d:a600::/44 | 3c19:c25d:a60f:ffff:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25d:a610::/44 | 3c19:c25d:a61f:ffff:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25d:a620::/44 | 3c19:c25d:a62f:ffff:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25d:a630::/44 | 3c19:c25d:a63f:ffff:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25d:a640::/44 | 3c19:c25d:a64f:ffff:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25d:a650::/44 | 3c19:c25d:a65f:ffff:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25d:a660::/44 | 3c19:c25d:a66f:ffff:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25d:a670::/44 | 3c19:c25d:a67f:ffff:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25d:a680::/44 | 3c19:c25d:a68f:ffff:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25d:a690::/44 | 3c19:c25d:a69f:ffff:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25d:a6a0::/44 | 3c19:c25d:a6af:ffff:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25d:a6b0::/44 | 3c19:c25d:a6bf:ffff:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25d:a6c0::/44 | 3c19:c25d:a6cf:ffff:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25d:a6d0::/44 | 3c19:c25d:a6df:ffff:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25d:a6e0::/44 | 3c19:c25d:a6ef:ffff:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25d:a6f0::/44 | 3c19:c25d:a6ff:ffff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25d:a700::/44 | 3c19:c25d:a70f:ffff:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25d:a710::/44 | 3c19:c25d:a71f:ffff:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25d:a720::/44 | 3c19:c25d:a72f:ffff:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25d:a730::/44 | 3c19:c25d:a73f:ffff:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25d:a740::/44 | 3c19:c25d:a74f:ffff:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25d:a750::/44 | 3c19:c25d:a75f:ffff:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25d:a760::/44 | 3c19:c25d:a76f:ffff:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25d:a770::/44 | 3c19:c25d:a77f:ffff:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25d:a780::/44 | 3c19:c25d:a78f:ffff:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25d:a790::/44 | 3c19:c25d:a79f:ffff:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25d:a7a0::/44 | 3c19:c25d:a7af:ffff:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25d:a7b0::/44 | 3c19:c25d:a7bf:ffff:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25d:a7c0::/44 | 3c19:c25d:a7cf:ffff:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25d:a7d0::/44 | 3c19:c25d:a7df:ffff:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25d:a7e0::/44 | 3c19:c25d:a7ef:ffff:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25d:a7f0::/44 | 3c19:c25d:a7ff:ffff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25d:a800::/44 | 3c19:c25d:a80f:ffff:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25d:a810::/44 | 3c19:c25d:a81f:ffff:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25d:a820::/44 | 3c19:c25d:a82f:ffff:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25d:a830::/44 | 3c19:c25d:a83f:ffff:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25d:a840::/44 | 3c19:c25d:a84f:ffff:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25d:a850::/44 | 3c19:c25d:a85f:ffff:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25d:a860::/44 | 3c19:c25d:a86f:ffff:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25d:a870::/44 | 3c19:c25d:a87f:ffff:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25d:a880::/44 | 3c19:c25d:a88f:ffff:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25d:a890::/44 | 3c19:c25d:a89f:ffff:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25d:a8a0::/44 | 3c19:c25d:a8af:ffff:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25d:a8b0::/44 | 3c19:c25d:a8bf:ffff:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25d:a8c0::/44 | 3c19:c25d:a8cf:ffff:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25d:a8d0::/44 | 3c19:c25d:a8df:ffff:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25d:a8e0::/44 | 3c19:c25d:a8ef:ffff:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25d:a8f0::/44 | 3c19:c25d:a8ff:ffff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25d:a900::/44 | 3c19:c25d:a90f:ffff:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25d:a910::/44 | 3c19:c25d:a91f:ffff:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25d:a920::/44 | 3c19:c25d:a92f:ffff:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25d:a930::/44 | 3c19:c25d:a93f:ffff:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25d:a940::/44 | 3c19:c25d:a94f:ffff:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25d:a950::/44 | 3c19:c25d:a95f:ffff:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25d:a960::/44 | 3c19:c25d:a96f:ffff:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25d:a970::/44 | 3c19:c25d:a97f:ffff:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25d:a980::/44 | 3c19:c25d:a98f:ffff:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25d:a990::/44 | 3c19:c25d:a99f:ffff:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25d:a9a0::/44 | 3c19:c25d:a9af:ffff:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25d:a9b0::/44 | 3c19:c25d:a9bf:ffff:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25d:a9c0::/44 | 3c19:c25d:a9cf:ffff:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25d:a9d0::/44 | 3c19:c25d:a9df:ffff:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25d:a9e0::/44 | 3c19:c25d:a9ef:ffff:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25d:a9f0::/44 | 3c19:c25d:a9ff:ffff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25d:aa00::/44 | 3c19:c25d:aa0f:ffff:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25d:aa10::/44 | 3c19:c25d:aa1f:ffff:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25d:aa20::/44 | 3c19:c25d:aa2f:ffff:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25d:aa30::/44 | 3c19:c25d:aa3f:ffff:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25d:aa40::/44 | 3c19:c25d:aa4f:ffff:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25d:aa50::/44 | 3c19:c25d:aa5f:ffff:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25d:aa60::/44 | 3c19:c25d:aa6f:ffff:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25d:aa70::/44 | 3c19:c25d:aa7f:ffff:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25d:aa80::/44 | 3c19:c25d:aa8f:ffff:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25d:aa90::/44 | 3c19:c25d:aa9f:ffff:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25d:aaa0::/44 | 3c19:c25d:aaaf:ffff:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25d:aab0::/44 | 3c19:c25d:aabf:ffff:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25d:aac0::/44 | 3c19:c25d:aacf:ffff:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25d:aad0::/44 | 3c19:c25d:aadf:ffff:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25d:aae0::/44 | 3c19:c25d:aaef:ffff:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25d:aaf0::/44 | 3c19:c25d:aaff:ffff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25d:ab00::/44 | 3c19:c25d:ab0f:ffff:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25d:ab10::/44 | 3c19:c25d:ab1f:ffff:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25d:ab20::/44 | 3c19:c25d:ab2f:ffff:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25d:ab30::/44 | 3c19:c25d:ab3f:ffff:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25d:ab40::/44 | 3c19:c25d:ab4f:ffff:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25d:ab50::/44 | 3c19:c25d:ab5f:ffff:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25d:ab60::/44 | 3c19:c25d:ab6f:ffff:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25d:ab70::/44 | 3c19:c25d:ab7f:ffff:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25d:ab80::/44 | 3c19:c25d:ab8f:ffff:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25d:ab90::/44 | 3c19:c25d:ab9f:ffff:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25d:aba0::/44 | 3c19:c25d:abaf:ffff:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25d:abb0::/44 | 3c19:c25d:abbf:ffff:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25d:abc0::/44 | 3c19:c25d:abcf:ffff:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25d:abd0::/44 | 3c19:c25d:abdf:ffff:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25d:abe0::/44 | 3c19:c25d:abef:ffff:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25d:abf0::/44 | 3c19:c25d:abff:ffff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25d:ac00::/44 | 3c19:c25d:ac0f:ffff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25d:ac10::/44 | 3c19:c25d:ac1f:ffff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25d:ac20::/44 | 3c19:c25d:ac2f:ffff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25d:ac30::/44 | 3c19:c25d:ac3f:ffff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25d:ac40::/44 | 3c19:c25d:ac4f:ffff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25d:ac50::/44 | 3c19:c25d:ac5f:ffff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25d:ac60::/44 | 3c19:c25d:ac6f:ffff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25d:ac70::/44 | 3c19:c25d:ac7f:ffff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25d:ac80::/44 | 3c19:c25d:ac8f:ffff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25d:ac90::/44 | 3c19:c25d:ac9f:ffff:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25d:aca0::/44 | 3c19:c25d:acaf:ffff:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25d:acb0::/44 | 3c19:c25d:acbf:ffff:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25d:acc0::/44 | 3c19:c25d:accf:ffff:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25d:acd0::/44 | 3c19:c25d:acdf:ffff:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25d:ace0::/44 | 3c19:c25d:acef:ffff:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25d:acf0::/44 | 3c19:c25d:acff:ffff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25d:ad00::/44 | 3c19:c25d:ad0f:ffff:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25d:ad10::/44 | 3c19:c25d:ad1f:ffff:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25d:ad20::/44 | 3c19:c25d:ad2f:ffff:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25d:ad30::/44 | 3c19:c25d:ad3f:ffff:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25d:ad40::/44 | 3c19:c25d:ad4f:ffff:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25d:ad50::/44 | 3c19:c25d:ad5f:ffff:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25d:ad60::/44 | 3c19:c25d:ad6f:ffff:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25d:ad70::/44 | 3c19:c25d:ad7f:ffff:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25d:ad80::/44 | 3c19:c25d:ad8f:ffff:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25d:ad90::/44 | 3c19:c25d:ad9f:ffff:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25d:ada0::/44 | 3c19:c25d:adaf:ffff:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25d:adb0::/44 | 3c19:c25d:adbf:ffff:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25d:adc0::/44 | 3c19:c25d:adcf:ffff:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25d:add0::/44 | 3c19:c25d:addf:ffff:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25d:ade0::/44 | 3c19:c25d:adef:ffff:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25d:adf0::/44 | 3c19:c25d:adff:ffff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25d:ae00::/44 | 3c19:c25d:ae0f:ffff:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25d:ae10::/44 | 3c19:c25d:ae1f:ffff:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25d:ae20::/44 | 3c19:c25d:ae2f:ffff:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25d:ae30::/44 | 3c19:c25d:ae3f:ffff:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25d:ae40::/44 | 3c19:c25d:ae4f:ffff:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25d:ae50::/44 | 3c19:c25d:ae5f:ffff:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25d:ae60::/44 | 3c19:c25d:ae6f:ffff:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25d:ae70::/44 | 3c19:c25d:ae7f:ffff:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25d:ae80::/44 | 3c19:c25d:ae8f:ffff:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25d:ae90::/44 | 3c19:c25d:ae9f:ffff:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25d:aea0::/44 | 3c19:c25d:aeaf:ffff:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25d:aeb0::/44 | 3c19:c25d:aebf:ffff:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25d:aec0::/44 | 3c19:c25d:aecf:ffff:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25d:aed0::/44 | 3c19:c25d:aedf:ffff:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25d:aee0::/44 | 3c19:c25d:aeef:ffff:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25d:aef0::/44 | 3c19:c25d:aeff:ffff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25d:af00::/44 | 3c19:c25d:af0f:ffff:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25d:af10::/44 | 3c19:c25d:af1f:ffff:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25d:af20::/44 | 3c19:c25d:af2f:ffff:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25d:af30::/44 | 3c19:c25d:af3f:ffff:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25d:af40::/44 | 3c19:c25d:af4f:ffff:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25d:af50::/44 | 3c19:c25d:af5f:ffff:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25d:af60::/44 | 3c19:c25d:af6f:ffff:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25d:af70::/44 | 3c19:c25d:af7f:ffff:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25d:af80::/44 | 3c19:c25d:af8f:ffff:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25d:af90::/44 | 3c19:c25d:af9f:ffff:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25d:afa0::/44 | 3c19:c25d:afaf:ffff:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25d:afb0::/44 | 3c19:c25d:afbf:ffff:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25d:afc0::/44 | 3c19:c25d:afcf:ffff:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25d:afd0::/44 | 3c19:c25d:afdf:ffff:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25d:afe0::/44 | 3c19:c25d:afef:ffff:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25d:aff0::/44 | 3c19:c25d:afff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |